## llama-cpp 0.0.6199

=== debian/changelog ===
llama-cpp (0.0.6199-1) unstable; urgency=medium

  * Update upstream based on f08c4c0

 -- Mathieu Baudier <mbaudier@argeo.org>  Tue, 19 Aug 2025 08:21:21 +0000
