## llama-cpp 0.0.6527

=== debian/changelog ===
llama-cpp (0.0.6527-1) unstable; urgency=medium

  * Update upstream

 -- Mathieu Baudier <mbaudier@argeo.org>  Mon, 22 Sep 2025 12:46:43 +0000
