## llama-cpp 0.0.6641

=== debian/changelog ===
llama-cpp (0.0.6641-1) unstable; urgency=medium

  * Update upstream

 -- Mathieu Baudier <mbaudier@argeo.org>  Fri, 10 Oct 2025 14:03:01 +0000
